INFO: Most MDAC Components Are Not Supported on Windows NT 3.51

Article translations Article translations
Article ID: 196958 - View products that this article applies to.
This article was previously published under Q196958
This article has been archived. It is offered "as is" and will no longer be updated.
Expand all | Collapse all

On This Page

SUMMARY

Microsoft Data Access Components (MDAC) versions 1.5 and later include ODBC, OLE DB, ActiveX Data Objects (ADO), and the Remote Data Services (RDS). These components were tested with Windows 9x and Windows NT 4.0 (Service Pack 3) and later. With the exception of ODBC 3.5, none of the MDAC components were tested or are supported on Windows NT 3.51. This is, in part, due to system requirements for other core components (DCOM95, OLE Automation, and so forth), which are not supported by Windows NT 3.51.

MORE INFORMATION

MDAC 2.0/ODBC 3.51 on Windows NT 3.51

MDAC 2.0 included ODBC 3.51, OLE DB 2.0, ADO 2.0, and RDS 2.0. There are several ways to install MDAC 2.0.

  • Data Access SDK 2.0: Dasdksa.exe, Dasdk.exe
  • MDAC 2.0 Redist: Mdac_typ.exe, Mdac_olp.exe
  • MDAC 2.5 Redist: Mdac_typ.exe
  • MDAC 2.5 is installed as part of the Windows 2000 Operating System.
  • MDAC 2.6 Redist: Mdac_typ.exe
Both the Data Access SDK and MDAC Redist will require DCOM be installed on the target machine. DCOM is not available for Windows NT 3.51. As ODBC 3.51 was not tested on Windows NT 3.51, the MDAC redist cannot be used to install ODBC 3.51 on Windows NT 3.51.

MDAC 1.5/ODBC 3.5 on Windows NT 3.51

MDAC 1.5 shipped with ODBC 3.5, OLE DB 1.5, ADO 1.5, and RDS 1.5. There are several ways to install MDAC 1.5:
  • MDAC 1.5 Standalone Setup: Mdac_ntw.exe, Mdac_nts.exe, Mdac_95.exe, Mdac_as.exe, Mdac_aw.exe
  • MDAC 1.5 Redist: Mdacfull.exe, Mdacrdst.exe
  • ODBC 3.5 SDK: Odbc35in.exe
  • OLE DB 1.5 SDK: Olsdk_nt.exe, Olsdk_95.exe, Olsdk_a.exe
The MDAC 1.5 Standalone Setup cannot be used to install ODBC 3.5 on NT 3.51 because it has dependencies specifically on OLE Automation and Comctl32.dll that are not available on Windows NT 3.51. The MDAC 1.5 Redist can be used to install ODBC 3.5 on Windows NT 3.51, although if you use them to install OLE DB, ADO, or RDS, this does not mean that these components will actually work on Windows NT 3.51 (nor were they tested on NT 3.51). ODBC 3.5 does not share the dependency on OLE Automation that the rest of the MDAC technologies require for MDAC 1.5.

You can use the ODBC 3.5 SDK to install on Windows NT 3.51. It is not recommended to install the OLE DB 1.5 SDK on 3.51 in part because it installs extra files (OLE DB) that you won't be able to use on a Windows NT 3.51 platform.

Installing ODBC 3.5 on NT 3.51 -- Implications

With the release of MDAC 1.5, the OLE DB Provider for ODBC became a core component of ODBC. With MDAC 2.0, this dependency was extended to included both ADO and RDS. However, installing just ODBC on Windows NT 3.51 means that if and when the Windows NT 3.51 box is upgraded to Windows NT 4.0 (or later), you will need to consider that upgrading to ODBC 3.51 implies installing the entire MDAC stack of technologies. Given that the bulk of the size of MDAC can be found in ODBC itself, the increase in size is negligible for the extra components installed.

REFERENCES

For additional information, please see the following article in the Microsoft Knowledge Base:
178852 INFO: OLE DB Provider for ODBC Now an ODBC 3.5 Core Component

Properties

Article ID: 196958 - Last Review: February 23, 2014 - Revision: 3.1
APPLIES TO
  • Microsoft Data Access Components 1.5
  • Microsoft Data Access Components 2.0
  • Microsoft Data Access Components 2.1 Service Pack 2
  • Microsoft Data Access Components 2.5
  • Microsoft Data Access Components 2.6
Keywords: 
kbnosurvey kbarchive kbinfo kbdatabase kbdeployment KB196958

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com